# RPM specfile for pan module
# Generated Wed Nov 19 20:28:04 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.43.2.2 2003/11/07 01:15:17 mibarra Exp $

%define nam	pan
%define ver	0.14.2
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	pan
Version: 	0.14.2
Release:	0.ximian.6.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.superpimp.org/
Epoch:		1
Source0:	pan-0.14.2.tar.bz2
Patch0:		pan-0.13.4-default-use-gnome-browser.patch
Summary:	Pan Newsreader
Group:		Applications/Internet
Provides:	ximian-pan = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Pan is a newsreader. It is GTK based, supports multiple servers,
threading, and multi-part binaries. Fairly lightwieght and fast. If
you like Forte's Agent for Windows, you might like this
Newsreader.

%files
%defattr(-, root, root)
%doc INSTALL
/usr/bin/pan
/usr/share/gnome/apps/Internet/*
/usr/share/pixmaps/*
/usr/*/locale/*/LC_MESSAGES/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n pan-0.14.2
    ;;
all)
%setup  -q -n pan-0.14.2
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 1:0.14.2-0.ximian.6.1
- Summary: New build.
- New automated build.

* Tue Apr 29 2003 Ximian, Inc.

- Version: 0.13.4-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Apr 28 2003 Ximian, Inc.

- Version: 1:0.13.1-1.ximian.4
- Summary: New build.
- New automated build.

* Thu Aug 22 2002 Ximian, Inc.

- Version: 1:0.13.0-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Apr 30 2002 Ximian, Inc.

- Version: 0.11.3-1.ximian.1
- Summary: New build.
- New automated build.

